﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение учебного года
	/// </summary>
	public class AcademicPlanGetBindingModel : GetBindingModel
	{
		public Guid? EducationDirectionId { get; set; }
	}

	/// <summary>
	/// Сохранение учебного года
	/// </summary>
	public class AcademicPlanSetBindingModel : SetBindingModel
	{
		[Required(ErrorMessage = "required")]
		[MapConfiguration("EducationDirectionId")]
		public Guid EducationDirectionId { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("YearEntrance")]
		public int YearEntrance { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("YearFinish")]
		public int YearFinish { get; set; }
	}
}